{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.azhdarchid.general": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
						{
							"eating": "query.is_eating && !query.is_sleeping"
						},
						{
							"attack": "query.is_delayed_attacking && query.is_on_ground && !query.is_sleeping"
						},
						{
							"fly_angle": "!query.has_rider && !query.is_on_ground"
						},
						{
							"look_at_target": "query.is_on_ground"
						},
						{
							"look_at_target_flying": "!query.is_on_ground"
						},
						"setup"
					]
				}
			}
		},
		"controller.animation.azhdarchid.move": {
			"initial_state": "idle",
			"states": {
				"idle": {
					"animations": [
						{
							"flying": "!query.is_in_water && !query.is_on_ground && !query.is_sitting && !query.is_sleeping && query.modified_move_speed < 0.2"
						},
						{
							"idle": "!query.is_sitting && query.is_on_ground && !query.is_sleeping"
						},
						{
							"sitting": "!query.is_in_water && !query.is_sleeping &&  query.is_sitting && query.is_on_ground"
						},
						{
							"dance": "query.is_dancing && query.is_on_ground && !query.is_sleeping"
						},
						{
							"sleeping": "query.is_sleeping"
						},
						{
							"flying": "!query.is_in_water && !query.is_on_ground && !query.is_sitting && !query.is_sleeping && query.modified_move_speed < 0.2"
						}
					],
					"transitions": [
						{
							"moving": "variable.moving"
						}
					],
					"blend_transition": 0.5
				},
				"moving": {
					"animations": [
						{
							"walk": "!query.is_sitting && query.is_on_ground && query.ground_speed<3 && !query.is_sleeping"
						},
						{
							"run": "!query.is_sitting && query.is_on_ground && query.ground_speed>3 &&!query.is_sleeping"
						},
						{
							"flying": "!query.is_in_water && !query.is_on_ground && !query.is_sitting && !query.is_sleeping"
						},
						{
							"sitting": "query.is_sitting && !query.is_in_water && !query.is_sleeping"
						},
						{
							"sleeping": "query.is_sleeping"
						}
					],
					"transitions": [
						{
							"idle": "!variable.moving"
						}
					],
					"blend_transition": 0.5
				}
			}
		}
	}
}